## Class Attribute

- java.lang.Object
- - Attribute

All Implemented Interfaces:
  java.io.Serializable

    public class Attribute
    extends java.lang.Object
    implements java.io.Serializable

Gère un attribut.

Author:
  V.BOULANGER
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `_attributeId`
`static java.lang.String` `PRIVATE`
`static java.lang.String` `PROTECTED`
`static java.lang.String` `PUBLIC`

### Constructor Summary

Constructors
Constructor and Description
`Attribute()` Constructeur - Crée une instance de Attribute.
`Attribute(java.lang.String name, java.lang.String access, java.lang.String type)` Constructeur - Crée une instance de Attribute avec des paramètres donnés.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAccess()` Récupère le modificateur d'accès de l'attribut.
`int` `getId()` Récupère le numéro de l'attribut.
`java.lang.String` `getName()` Récupère le nom de l'attribut.
`java.lang.String` `getType()` Récupère le type de l'attribut.
`boolean` `isAbstract()` Retourne si l'attribut est abstrait ou non.
`boolean` `isFinal()` Retourne si l'attribut est final ou non.
`boolean` `isStatic()` Retourne si l'attribut est statique ou non.
`boolean` `isSynchronized()` Retourne si l'attribut est synchronisé ou non.
`boolean` `isTransient()` Retourne si l'attribut est transitoire ou non.
`boolean` `isVolatile()` Retourne si l'attribut est volatile ou non.
`void` `setAbstract(boolean a)` Paramètre la caractéristique abstraite de l'attribut.
`void` `setAccess(java.lang.String access)` Paramètre le modificateur d'accès de l'attribut.
`void` `setFinal(boolean f)` Paramètre la caractéristique final de l'attribut.
`void` `setName(java.lang.String name)` Paramètre le nom de l'attribut.
`void` `setStatic(boolean s)` Paramètre la caractéristique statique de l'attribut.
`void` `setSynchronized(boolean s)` Paramètre la caractéristique synchronisée de l'attribut.
`void` `setTransient(boolean t)` Paramètre la caractéristique transitoire de l'attribut.
`void` `setType(java.lang.String type)` Paramètre le type de l'attribut.
`void` `setVolatile(boolean v)` Paramètre la caractéristique volatile de l'attribut.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _attributeId

    public static int _attributeId

#### PRIVATE

    public static final java.lang.String PRIVATE

See Also:
  Constant Field Values

#### PROTECTED

    public static final java.lang.String PROTECTED

See Also:
  Constant Field Values

#### PUBLIC

    public static final java.lang.String PUBLIC

See Also:
  Constant Field Values

### Constructor Detail

#### Attribute

    public Attribute()

Constructeur - Crée une instance de Attribute.

#### Attribute

    public Attribute(java.lang.String name,
                     java.lang.String access,
                     java.lang.String type)

Constructeur - Crée une instance de Attribute avec des paramètres donnés.

Parameters:
  `access` - Le modificateur d'accès de l'attribut.
  `name` - Le nom de l'attribut.
  `type` - Le type de l'attribut.

### Method Detail

#### getId

    public int getId()

Récupère le numéro de l'attribut.

Returns:
  Le numéro de l'attribut.

#### getAccess

    public java.lang.String getAccess()

Récupère le modificateur d'accès de l'attribut.

Returns:
  Le modificateur d'accès de l'attribut

#### setAccess

    public void setAccess(java.lang.String access)

Paramètre le modificateur d'accès de l'attribut.

Parameters:
  `access` - Le modificateur d'accès de l'attribut

#### getType

    public java.lang.String getType()

Récupère le type de l'attribut.

Returns:
  Le type de l'attribut.

#### setType

    public void setType(java.lang.String type)

Paramètre le type de l'attribut.

Parameters:
  `type` - Le type de l'attribut.

#### getName

    public java.lang.String getName()

Récupère le nom de l'attribut.

Returns:
  Le nom de l'attribut.

#### setName

    public void setName(java.lang.String name)

Paramètre le nom de l'attribut.

Parameters:
  `name` - Le nom de l'attribut.

#### isStatic

    public boolean isStatic()

Retourne si l'attribut est statique ou non.

Returns:
  true : l'attribut est statique, false: l'attribut n'est pas statique.

#### setStatic

    public void setStatic(boolean s)

Paramètre la caractéristique statique de l'attribut.

Parameters:
  `s` - true : l'attribut est statique, false : l'attribut n'est pas statique

#### isFinal

    public boolean isFinal()

Retourne si l'attribut est final ou non.

Returns:
  true : l'attribut est final, false: l'attribut n'est pas final.

#### setFinal

    public void setFinal(boolean f)

Paramètre la caractéristique final de l'attribut.

Parameters:
  `f` - true : l'attribut est final, false : l'attribut n'est pas final

#### isAbstract

    public boolean isAbstract()

Retourne si l'attribut est abstrait ou non.

Returns:
  true : l'attribut est abstrait, false: l'attribut n'est pas abstrait.

#### setAbstract

    public void setAbstract(boolean a)

Paramètre la caractéristique abstraite de l'attribut.

Parameters:
  `a` - true : l'attribut est abstrait, false : l'attribut n'est pas abstrait.

#### isSynchronized

    public boolean isSynchronized()

Retourne si l'attribut est synchronisé ou non.

Returns:
  true : l'attribut est synchronisé, false: l'attribut n'est pas synchronisé.

#### setSynchronized

    public void setSynchronized(boolean s)

Paramètre la caractéristique synchronisée de l'attribut.

Parameters:
  `s` - true : l'attribut est synchronisé, false : l'attribut n'est pas synchronisé.

#### isVolatile

    public boolean isVolatile()

Retourne si l'attribut est volatile ou non.

Returns:
  true : l'attribut est volatile, false: l'attribut n'est pas volatile.

#### setVolatile

    public void setVolatile(boolean v)

Paramètre la caractéristique volatile de l'attribut.

Parameters:
  `v` - true : l'attribut est volatile, false : l'attribut n'est pas volatile

#### isTransient

    public boolean isTransient()

Retourne si l'attribut est transitoire ou non.

Returns:
  true : l'attribut est transitoire, false: l'attribut n'est pas transitoire.

#### setTransient

    public void setTransient(boolean t)

Paramètre la caractéristique transitoire de l'attribut.

Parameters:
  `t` - true : l'attribut est transitoire, false : l'attribut n'est pas transitoire